﻿using System;
using System.Collections.Generic;

namespace Macoratti.DAL
{
    public interface IAcessoDadosObject <T> where T : new()
    {
        T Get<K>(K id);
        List<T> GetTop();
        void Insert(T obj);
        void Update<K>(K id, T obj);
        void Delete<K>(K id);
    }
}
