﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Macoratti.DAL;
using Macoratti.Entidades;

namespace Macoratti.BLL
{
    public partial class Facade
    {
        public void InserirAluno(Aluno aluno)
        {
           this._alunoDAL.Insert(aluno);
        }
        
        public void UpdateAluno(int id, Aluno aluno)
        {
            this._alunoDAL.Update<int>(id, aluno);
        }

        public Aluno GetAluno(int id)
        {
            return this._alunoDAL.Get<int>(id);
        }

        public List<Aluno> GetTopAluno()
        {
            return this._alunoDAL.GetTop();
        }

       public void DeleteAluno(int id)
       {
           this._alunoDAL.Delete<int>(id);
       }
    }
}
