﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Macoratti.BLL;
using Macoratti.Entidades;

namespace Escolaweb
{
    public partial class _Default : System.Web.UI.Page
    {
        //cria a instância da classe Facade 
        Facade _alunoFacade = new Facade();

        protected void Page_Load(object sender, EventArgs e)
        {
            //usa o método GetTopAluno() da camada de negócios para acessar a tabela alunos
            //e retornar as informações como uma lista de objetos 
            //exibindo-os no GridView
            GridView1.DataSource = _alunoFacade.GetTopAluno().ToList();
            GridView1.DataBind();
        }
    }
}
